org.apache.jorphan.gui

## Class ObjectTableSorter.PreserveLastRowComparator

- java.lang.Object
- - org.apache.jorphan.gui.ObjectTableSorter.PreserveLastRowComparator

All Implemented Interfaces:
  Comparator<ObjectTableSorter.Row>

Enclosing class:
  ObjectTableSorter

    protected class ObjectTableSorter.PreserveLastRowComparator
    extends Object
    implements Comparator<ObjectTableSorter.Row>

### Constructor Summary

Constructors
`protected` `PreserveLastRowComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(ObjectTableSorter.Row o1, ObjectTableSorter.Row o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### PreserveLastRowComparator

    protected PreserveLastRowComparator()

### Method Detail

#### compare

    public int compare(ObjectTableSorter.Row o1,
                       ObjectTableSorter.Row o2)

Specified by:
  `compare` in interface `Comparator<ObjectTableSorter.Row>`